package teamdev.jxcapture.samples.demo;

import java.io.IOException;
import java.io.InputStream;
import java.net.URL;
import java.util.ResourceBundle;

/**
 * @author Vladimir Ikryanov
 */
public class Win32JxCaptureDemo extends JxCaptureDemo {
    private teamdev.jxdesktop.win32.shell.TrayIcon trayIcon;
    private InputStream inputStream;
    private ResourceBundle resource;

    public Win32JxCaptureDemo() {
        super();
        resource = ApplicationSettings.getResourceBundle();
    }

    protected void createGUI() {
        String messageTitle = resource.getString("TrayIcon.Message.Title");
        String messageText = resource.getString("TrayIcon.Message.Message");
        String tooltip = resource.getString("TrayIcon.ToolTip.Text");

        TrayPopupMenu popupMenu = new TrayPopupMenu(this);
        trayIcon = new teamdev.jxdesktop.win32.shell.TrayIcon(getTrayIcon());
        trayIcon.setToolTip(tooltip);
        trayIcon.setPopupMenu(popupMenu);
        trayIcon.setVisible(true);
        trayIcon.showMessage(new teamdev.jxdesktop.win32.shell.TrayMessage.Info(messageTitle, messageText));
    }

    protected void disposeGUI() {
        try {
            inputStream.close();
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
        trayIcon.setVisible(false);
        trayIcon.dispose();
    }

    private teamdev.jxdesktop.win32.gdi.Icon getTrayIcon() {
        URL resource = JxCaptureDemo.class.getResource("resources/images/JxCapture.ico");
        try {
            inputStream = resource.openStream();
            return new teamdev.jxdesktop.win32.gdi.Icon(inputStream);
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
    }
}
