/*
 * Copyright (c) 2002-2008 TeamDev Ltd. All rights reserved.
 *
 * Use is subject to license terms.
 *
 * The complete licence text can be found at
 * http://www.teamdev.com/winpack/license.jsf
 */
import teamdev.jxdesktop.WindowManager;
import teamdev.jxdesktop.ui.Window;

import javax.imageio.ImageIO;
import java.awt.image.BufferedImage;
import java.io.File;

/**
 * The sample shows how to capture Notepad window on Windows OS platform.
 *
 * @author Ikryanov Vladimir
 */
public class CaptureWindowSample {
    public static void main(String[] args) throws Exception {
        // Launching Notepad application
        Runtime.getRuntime().exec("notepad");

        // Finding Notepad window by title
        WindowManager windowManager = WindowManager.getInstance();
        Window notepad = (Window) windowManager.findWindow("Untitled - Notepad");

        // Capturing notepad window
        BufferedImage image = notepad.getImage();

        // Saving the result image in user home directory
        String outputFile = System.getProperty("user.home") + File.separator + "Notepad.png";
        ImageIO.write(image, "PNG", new File(outputFile));
    }
}
