/*
 * Copyright (c) 2002-2008 TeamDev Ltd. All rights reserved.
 *
 * Use is subject to license terms.
 *
 * The complete licence text can be found at
 * http://www.teamdev.com/winpack/license.jsf
 */
import teamdev.jxcapture.Capture;
import teamdev.jxcapture.events.CaptureAdapter;

import javax.imageio.ImageIO;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;

/**
 * The example demonstrates how to capture the specified region on the screen.
 * <p>
 * To select the specified region click the left mouse button, move the mouse pointer and click
 * the left button to complete the operation and to get the screen shot of
 * the selected region.
 * <p>To cancel the operation press the Esc key.
 *
 * @author Ikryanov Vladimir
 */
public class RegionCaptureSample extends JxCaptureSample {

    public static void main(String[] args) {
        new RegionCaptureSample().run();
    }

    protected void execute() {
        System.out.println("Select a specified region and press Enter key to complete operation.");
        Capture.captureRegion(new CaptureAdapter() {
            public void complete(BufferedImage image) {
                saveImageToHomeDirectory(image);
            }

            public void cancel() {
                System.out.println("Cancel");
            }
        });
    }

    protected String getFileName() {
        return "RegionCapture.png";
    }
}
